Package org.jboss.resteasy.jose.jwe

## Class JWEBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jwe.JWEBuilder

-     public class JWEBuilder
      extends Object

  Encrypt content. Default EncryptionMethod is A256CBC_HS512
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `JWEBuilder.EncryptionBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWEBuilder()` |
    `JWEBuilder​(javax.ws.rs.ext.Providers providers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JWEBuilder.EncryptionBuilder` | `content​(Object content)` |
    `JWEBuilder.EncryptionBuilder` | `content​(Object content, javax.ws.rs.core.MediaType marshalTo)` |
    `JWEBuilder.EncryptionBuilder` | `contentBytes​(byte[] bytes)` |
    `JWEBuilder` | `contentType​(String type)` |
    `JWEBuilder` | `contentType​(javax.ws.rs.core.MediaType type)` |
    `protected String` | `encodeHeader​(Algorithm alg)` |
    `protected byte[]` | `marshalContent​(Object content, javax.ws.rs.core.MediaType marshalTo)` |
    `JWEBuilder` | `type​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWEBuilder

          public JWEBuilder()

    - #### JWEBuilder

          public JWEBuilder​(javax.ws.rs.ext.Providers providers)

  - ### Method Detail

    - #### type

          public JWEBuilder type​(String type)

    - #### contentType

          public JWEBuilder contentType​(String type)

    - #### contentType

          public JWEBuilder contentType​(javax.ws.rs.core.MediaType type)

    - #### contentBytes

          public JWEBuilder.EncryptionBuilder contentBytes​(byte[] bytes)

    - #### content

          public JWEBuilder.EncryptionBuilder content​(Object content)

    - #### content

          public JWEBuilder.EncryptionBuilder content​(Object content,
                                                      javax.ws.rs.core.MediaType marshalTo)

    - #### encodeHeader

          protected String encodeHeader​(Algorithm alg)

    - #### marshalContent

          protected byte[] marshalContent​(Object content,
                                          javax.ws.rs.core.MediaType marshalTo)